Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.expr.flwor
Class ForClausePush

    java.lang.Object
      net.sf.saxon.expr.flwor.TuplePush
          net.sf.saxon.expr.flwor.ForClausePush

    public class ForClausePush

extends TuplePush

This class implements the changes to the tuple stream effected by a "for" clause in a FLWOR expression

Field Summary
`protected TuplePush` | `destination`
`protected ForClause` | `forClause`

Constructor Summary
`ForClausePush(TuplePush destination, ForClause forClause)`

Method Summary
`void` | `close()` Close the tuple stream, indicating that no more tuples will be supplied
`void` | `processTuple(XPathContext context)` Notify the availability of the next tuple.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### destination

    protected TuplePush destination

### forClause

    protected ForClause forClause

Constructor Detail

### ForClausePush

    public ForClausePush(TuplePush destination,
                         ForClause forClause)

Method Detail

### processTuple

    public void processTuple(XPathContext context)
                      throws XPathException

  Description copied from class: `TuplePush`
  Notify the availability of the next tuple. Before calling this method, the supplier of the tuples must set all the variables corresponding to the supplied tuple in the local stack frame associated with the context object

  Specified by:
    `processTuple` in class `TuplePush`
  Parameters:
    `context` - the dynamic evaluation context
  Throws:
    `XPathException` - if a dynamic error occurs

### close

    public void close()
               throws XPathException

  Description copied from class: `TuplePush`
  Close the tuple stream, indicating that no more tuples will be supplied

  Overrides:
    `close` in class `TuplePush`
  Throws:
    `XPathException` - if a dynamic error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.